apiVersion: operator.victoriametrics.com/v1beta1
kind: VMAuth
metadata:
  name: vmauth
  namespace: observability
spec:
  selectAllByDefault: true
  ingress:
    class_name: nginx
    annotations:
      nginx.ingress.kubernetes.io/force-ssl-redirect: "true"
      cert-manager.io/cluster-issuer: main
    host: o12y.penguin-observability.think-ahead.cloud
    tlsHosts:
      - o12y.penguin-observability.think-ahead.cloud
    tlsSecretName: vmauth-tls-secret

---

apiVersion: operator.victoriametrics.com/v1beta1
kind: VMUser
metadata:
  name: simple-user
  namespace: observability
spec:
  username: simple-user
  password: simple-password
  targetRefs:
    - crd:
        kind: VMSingle
        name: victoria-k8s-stack-victoria-metrics-k8s-stack
        namespace: observability
      paths: ["/.*"]
    - crd:
        kind: VLogs
        name: victorialogs
        namespace: observability
      paths: ["/.*"]  
        
